
Redmine - Defect #19840

Missing validation for description size of versions

2015-05-14 15:24 - Bruno Orcha García

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Project settings Estimated time: 0.00 hour

Target version: 2.6.6   

Resolution: Fixed Affected version: 2.6.5

Description

We're using redmine 2.6.5. When you're creating a new version from the prjoect settings and try to write a log description (greatest of

255 characters) an internal error is shown.

Reviewing logs an error in the database appears with the message: "value too long for type character varying(255)"

It appears that the maximum size of the description of the versions is not checked.

Associated revisions

Revision 14267 - 2015-05-23 08:52 - Jean-Philippe Lang

Missing validation for description size of versions (#19840).

Patch by Bruno Orcha García.

Revision 14279 - 2015-05-30 10:10 - Jean-Philippe Lang

Merged r14267 (#19840).

Revision 14280 - 2015-05-30 10:11 - Jean-Philippe Lang

Merged r14267 (#19840).

History

#1 - 2015-05-23 08:52 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.6.6

Patch applied in r14267, thanks for pointing this out.

#2 - 2015-05-30 10:11 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Fixed

Files

version-validate-desription.diff 555 Bytes 2015-05-14 Bruno Orcha García
